package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 计费模板详情对象 pile_billing_detail
 *
 * @author jsowell
 * @date 2022-09-20
 */
public class PileBillingDetail extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private Long id;

	/**
	 * 计费模板编号
	 */
	@Excel(name = "计费模板编号")
	private String templateCode;

	/**
	 * 时段类型（1-尖时；2-峰时；3-平时；4-谷时）
	 */
	@Excel(name = "时段类型", readConverterExp = "1=-尖时；2-峰时；3-平时；4-谷时")
	private String timeType;

	/**
	 * 电费
	 */
	@Excel(name = "电费")
	private BigDecimal electricityPrice;

	/**
	 * 服务费
	 */
	@Excel(name = "服务费")
	private BigDecimal servicePrice;

	/**
	 * 适用时间段
	 */
	@Excel(name = "适用时间段")
	private String applyTime;

	/**
	 * 删除标识（0-正常；1-删除）
	 */
	private String delFlag;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setTemplateCode(String templateCode) {
		this.templateCode = templateCode;
	}

	public String getTemplateCode() {
		return templateCode;
	}

	public void setTimeType(String timeType) {
		this.timeType = timeType;
	}

	public String getTimeType() {
		return timeType;
	}

	public void setElectricityPrice(BigDecimal electricityPrice) {
		this.electricityPrice = electricityPrice;
	}

	public BigDecimal getElectricityPrice() {
		return electricityPrice;
	}

	public void setServicePrice(BigDecimal servicePrice) {
		this.servicePrice = servicePrice;
	}

	public BigDecimal getServicePrice() {
		return servicePrice;
	}

	public void setApplyTime(String applyTime) {
		this.applyTime = applyTime;
	}

	public String getApplyTime() {
		return applyTime;
	}

	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("id", getId())
				.append("templateCode", getTemplateCode())
				.append("timeType", getTimeType())
				.append("electricityPrice", getElectricityPrice())
				.append("servicePrice", getServicePrice())
				.append("applyTime", getApplyTime())
				.append("createBy", getCreateBy())
				.append("createTime", getCreateTime())
				.append("updateBy", getUpdateBy())
				.append("updateTime", getUpdateTime())
				.append("delFlag", getDelFlag())
				.toString();
	}
}
